Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class OutlookEMailAttachments
    Inherits BaseObject
    Private _OutlookEMail As OutlookEMail
    Private _OutlookEMailIn As OutlookEMailIn
    Private _DocumentFileData As DocumentFileData
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Association("OutlookEMail-OutlookEMailAttachments", GetType(OutlookEMail))> _
    <Browsable(False)> _
    Property OutlookEMail As OutlookEMail
        Get
            Return _OutlookEMail
        End Get
        Set(value As OutlookEMail)
            SetPropertyValue("OutlookEMail", _OutlookEMail, value)
        End Set
    End Property
    <Association("OutlookEMailIn-OutlookEMailAttachments", GetType(OutlookEMailIn))> _
    <Browsable(False)> _
    Property OutlookEMailIn As OutlookEMailIn
        Get
            Return _OutlookEMailIn
        End Get
        Set(value As OutlookEMailIn)
            SetPropertyValue("OutlookEMailIn", _OutlookEMailIn, value)
        End Set
    End Property
    Property DocumentFileData As DocumentFileData
        Get
            Return _DocumentFileData
        End Get
        Set(value As DocumentFileData)
            SetPropertyValue("DocumentFileData", _DocumentFileData, value)
        End Set
    End Property
End Class
